import Vue from "vue";
import App from "./App.vue";
import BaiduMap from "vue-baidu-map";
import { Input, Form, FormItem, DatePicker, Button, Message } from "element-ui";

Vue.use(Input);
Vue.use(Form);
Vue.use(FormItem);
Vue.use(DatePicker);
Vue.use(Button);
Vue.prototype.$message = Message;
Vue.use(BaiduMap, {
  /* Visit http://lbsyun.baidu.com/apiconsole/key for details about app key. */
  ak: "8xVRsWlEl4tU8ZCtQWjiEOTBj6IRmSt2",
});

Vue.config.productionTip = false;

new Vue({
  render: (h) => h(App),
}).$mount("#app");
